Subject: Portable E on unix
From: Wouter van Oortmerssen <[email-masked]>
To: [email-masked]
Date: Tue, 20 Jul 1993 00:43:54 +0200

>> Hi all!
>> 
>> I was just wondering if Wouter has any plans of developing E for use on UNIX
>> systems? I mean, if it was writtne mostly in C then it shouldn't be too 
>> difficult to just recompile on a Unix box. 
 
from the speed of the compiler you should have noticed the compiler
could not have been written in C. EC is written in 100% assembly, and
thus not portable. it would probably be possible to port it to a 680x0
unix box without tomuch trouble, but that wouldn't get us anywhere.
 
>> After all, E is the language that we all LOVE so much. I'd love to be able to
>> use it at work. Aside from that, if we could port it over to Unix (or make it
>> more generic) then there exists the possibility that it could become as popul
r
>> as C is. C didn't really take off too much until compilers started becomeing
>> available for different platforms. I'd love to see E everywhere!!!
 
yeah, me too! Portable E is on the drawing board, but it requires me to write
a new compiler (or atleast translator) for E from scratch, so don't
expect it anytime soon.
 
I have plans for writing an E2C translator in E, which can translate itself
to C when finished, and then be ported easily. On other platforms, it could then
be a used as a frontend to existing C compilers.
 
>> Just my thoughts......
>> 
>> --Mike Kopack
 
Wouter
 
   ____  Wouter van Oortmerssen, [email-masked]
  / __/  "Einen Satz verstehen, heisst, wissen was der Fall ist,
 / __/    wenn er wahr ist" - Wittgenstein
/___/  ->subscribe to the E mailing list: [email-masked]<-